/**
  *  \file client/dialogs/goaldialog.h
  *  \brief Build Goals Dialog
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DIALOGS_GOALDIALOG_H
#define PCC_V2_CLIENT_DIALOGS_GOALDIALOG_H

#include "ui/window.h"
#include "game/planet.h"

class UIDecimalSelector;
class GPlanet;

class WBuildGoalsDialog : public UIWindow {
    ObjectHolder h;

    UIDecimalSelector* input_widgets[2][4];

    UIBaseWidget& createInputWidget(bool withUnchange, int col, int line);
    void createDialog(bool withUnchange);
 public:
    WBuildGoalsDialog(bool withUnchange);
    ~WBuildGoalsDialog();

    bool handleEvent(const UIEvent& e, bool second_pass);

    void initData(const GPlanet& planet);
    void writeBack(GPlanet& planet);
    
    void setFocusToStructure(TPlanetaryStructure ps);

    int getGoal(TPlanetaryStructure ps) const;
    int getSpeed(TPlanetaryStructure ps) const;
};

#endif
