/**
  *  \file client/widgets/chartdisplayconfig.h
  *  \brief WChartDisplayConfig widget
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_CHARTDISPLAYCONFIG_H
#define PCC_V2_CLIENT_WIDGETS_CHARTDISPLAYCONFIG_H

#include "ui/widgets/tree.h"
#include "client/chart.h"

/** Display config. Where PCC 1.x had a massive array of checkboxes, this
    displays options in a tree. Toggling a tree node will set all children,
    similar to how component/subcomponent selection works in installers. */
class WChartDisplayConfig : public UITreeWidget {
 public:
    enum Value { Unchecked, Checked, Filled, Inside, Mixed };
    
    explicit WChartDisplayConfig(int id);
    ~WChartDisplayConfig();

    void drawItem(GfxContext& ctx, GfxRect area, const Item& it);
    bool handleEvent(const UIEvent& event, bool second_pass);
    void onItemClick(int item, int x);

    void load();
    void save();

 private:
    void init();
    void onClick(int32_t id);
    Value getValue(int32_t id);

    GChartOptions opts[3];
};

#endif
