/**
  *  \file sound/sound-cf.cc
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "sound/sound.h"
#include "game/pref.h"

void
loadSoundConfig()
{
    SfxConfig config = getSoundConfig();
    const GUserPreferences& user_pref = getUserPreferences();

    config.frequency      = user_pref.SoundFrequency();
    config.stereo         = user_pref.SoundStereo();
    config.sixteen_bits   = user_pref.Sound16Bits();
    config.enabled        = user_pref.SoundEnabled();
    config.headphone      = user_pref.SoundHeadphone();
    config.reverse_stereo = user_pref.SoundReverse();

    configureSound(config);
}

void
saveSoundConfig()
{
    const SfxConfig& config = getSoundConfig();
    GUserPreferences& user_pref = getUserPreferences();

    user_pref.SoundFrequency.set(config.frequency);
    user_pref.SoundStereo.set(config.stereo);
    user_pref.Sound16Bits.set(config.sixteen_bits);
    user_pref.SoundEnabled.set(config.enabled);
    user_pref.SoundHeadphone.set(config.headphone);
    user_pref.SoundReverse.set(config.reverse_stereo);
}
