/**
  *  \file client/widgets/statictext.h
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_STATICTEXT_H
#define PCC_V2_CLIENT_WIDGETS_STATICTEXT_H

#include "ui/ui.h"

class UIStaticText : public UIWidget {
 public:
    enum Scheme {
        StaticTitle,
        StaticNormal,
        WhiteTitle,
        WhiteNormal
    };
 private:
    string_t text;
    Scheme scheme;
    int align;
 public:
    UIStaticText(const string_t& text, Scheme scheme, int align = 0);
    UIStaticText(const char* text, Scheme scheme, int align = 0);
    void getLayoutInfo(LayoutInfo&);
    void drawContent(GfxCanvas& can);
    void setText(const string_t& text);
};

#endif
